<template lang="pug">
.b-line-chart
  div(:id='id' style='fill:none')
  slot(name='default' v-bind='{ add }')
  .b-menu-btn.d-flex
    BaseAnimationBlock
      div.d-flex(v-if='showMenu')
        .btn.btn-sm.mr-1(
            :class='paused ? "btn-dark" : "btn-outline-secondary"'
            @click='paused = !paused') #[i.fa.fa-pause]
    .btn.btn-sm(:class='showMenu ? "btn-dark" : ""' @click='showMenu = !showMenu') #[i.fa.fa-bars]
</template>
<script src='./BaseLineChart.vue.js' />
<style lang='scss'>
.b-line-chart {
  position: relative;

  .x.axis text {
    text-anchor: end !important;
    transform: rotate(-10deg);
  }
  .x-axis-label, .y-axis-label {
    fill: currentColor;
  }
  .dc-legend {
    fill: currentColor;
    opacity: 0.6;
    text {
      font-size: 0.75em;
    }
  }
  .xRef, .yRef {
    stroke: currentColor;
  }
  .b-menu-btn {
    position: absolute;
    top: 0;
    right: 0;
  }
}
.b-line-chart:hover {
  .dc-legend {
    display: none!important;
  }
}
</style>
